import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
import { defineComponent } from 'vue';
import Tooltip from './Tooltip';
import useConfigInject from '../_util/hooks/useConfigInject';
var imageOperationTipProps = function imageOperationTipProps() {
  return {
    title: String
  };
};
var ImageOperationTip = defineComponent({
  name: 'ImageOperationTip',
  props: imageOperationTipProps(),
  setup: function setup(props, _ref) {
    var slots = _ref.slots;
    var _useConfigInject = useConfigInject('tooltip', props),
      prefixCls = _useConfigInject.prefixCls;
    return function () {
      var _slots$default;
      return _createVNode(Tooltip, {
        "placement": "bottom",
        "overlayClassName": "".concat(prefixCls.value, "-image-operation")
      }, {
        default: function _default() {
          return [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)];
        },
        title: props.title
      });
    };
  }
});
export default ImageOperationTip;